=== mapsembler2_extremities/thirdparty/gatb-core/test/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB TESTS ----------")
################################################################################

################################################################################
#  UNIT TESTS GENERATION 
################################################################################
ADD_SUBDIRECTORY (unit)

################################################################################
#  BENCHMARK TESTS GENERATION 
################################################################################
ADD_SUBDIRECTORY (benchmark EXCLUDE_FROM_ALL)
