=== mapsembler2_extremities/thirdparty/gatb-core/examples/build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named bank1

# Build rule for target.
bank1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank1
.PHONY : bank1

# fast build rule for target.
bank1/fast:
	$(MAKE) -f CMakeFiles/bank1.dir/build.make CMakeFiles/bank1.dir/build
.PHONY : bank1/fast

#=============================================================================
# Target rules for targets named bank2

# Build rule for target.
bank2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank2
.PHONY : bank2

# fast build rule for target.
bank2/fast:
	$(MAKE) -f CMakeFiles/bank2.dir/build.make CMakeFiles/bank2.dir/build
.PHONY : bank2/fast

#=============================================================================
# Target rules for targets named bank3

# Build rule for target.
bank3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank3
.PHONY : bank3

# fast build rule for target.
bank3/fast:
	$(MAKE) -f CMakeFiles/bank3.dir/build.make CMakeFiles/bank3.dir/build
.PHONY : bank3/fast

#=============================================================================
# Target rules for targets named bank4

# Build rule for target.
bank4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank4
.PHONY : bank4

# fast build rule for target.
bank4/fast:
	$(MAKE) -f CMakeFiles/bank4.dir/build.make CMakeFiles/bank4.dir/build
.PHONY : bank4/fast

#=============================================================================
# Target rules for targets named bank5

# Build rule for target.
bank5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank5
.PHONY : bank5

# fast build rule for target.
bank5/fast:
	$(MAKE) -f CMakeFiles/bank5.dir/build.make CMakeFiles/bank5.dir/build
.PHONY : bank5/fast

#=============================================================================
# Target rules for targets named bank6

# Build rule for target.
bank6: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank6
.PHONY : bank6

# fast build rule for target.
bank6/fast:
	$(MAKE) -f CMakeFiles/bank6.dir/build.make CMakeFiles/bank6.dir/build
.PHONY : bank6/fast

#=============================================================================
# Target rules for targets named bank7

# Build rule for target.
bank7: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank7
.PHONY : bank7

# fast build rule for target.
bank7/fast:
	$(MAKE) -f CMakeFiles/bank7.dir/build.make CMakeFiles/bank7.dir/build
.PHONY : bank7/fast

#=============================================================================
# Target rules for targets named bank8

# Build rule for target.
bank8: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank8
.PHONY : bank8

# fast build rule for target.
bank8/fast:
	$(MAKE) -f CMakeFiles/bank8.dir/build.make CMakeFiles/bank8.dir/build
.PHONY : bank8/fast

#=============================================================================
# Target rules for targets named debruijn1

# Build rule for target.
debruijn1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn1
.PHONY : debruijn1

# fast build rule for target.
debruijn1/fast:
	$(MAKE) -f CMakeFiles/debruijn1.dir/build.make CMakeFiles/debruijn1.dir/build
.PHONY : debruijn1/fast

#=============================================================================
# Target rules for targets named debruijn2

# Build rule for target.
debruijn2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn2
.PHONY : debruijn2

# fast build rule for target.
debruijn2/fast:
	$(MAKE) -f CMakeFiles/debruijn2.dir/build.make CMakeFiles/debruijn2.dir/build
.PHONY : debruijn2/fast

#=============================================================================
# Target rules for targets named debruijn3

# Build rule for target.
debruijn3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn3
.PHONY : debruijn3

# fast build rule for target.
debruijn3/fast:
	$(MAKE) -f CMakeFiles/debruijn3.dir/build.make CMakeFiles/debruijn3.dir/build
.PHONY : debruijn3/fast

#=============================================================================
# Target rules for targets named debruijn4

# Build rule for target.
debruijn4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn4
.PHONY : debruijn4

# fast build rule for target.
debruijn4/fast:
	$(MAKE) -f CMakeFiles/debruijn4.dir/build.make CMakeFiles/debruijn4.dir/build
.PHONY : debruijn4/fast

#=============================================================================
# Target rules for targets named iterators1

# Build rule for target.
iterators1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators1
.PHONY : iterators1

# fast build rule for target.
iterators1/fast:
	$(MAKE) -f CMakeFiles/iterators1.dir/build.make CMakeFiles/iterators1.dir/build
.PHONY : iterators1/fast

#=============================================================================
# Target rules for targets named iterators2

# Build rule for target.
iterators2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators2
.PHONY : iterators2

# fast build rule for target.
iterators2/fast:
	$(MAKE) -f CMakeFiles/iterators2.dir/build.make CMakeFiles/iterators2.dir/build
.PHONY : iterators2/fast

#=============================================================================
# Target rules for targets named iterators3

# Build rule for target.
iterators3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators3
.PHONY : iterators3

# fast build rule for target.
iterators3/fast:
	$(MAKE) -f CMakeFiles/iterators3.dir/build.make CMakeFiles/iterators3.dir/build
.PHONY : iterators3/fast

#=============================================================================
# Target rules for targets named iterators4

# Build rule for target.
iterators4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators4
.PHONY : iterators4

# fast build rule for target.
iterators4/fast:
	$(MAKE) -f CMakeFiles/iterators4.dir/build.make CMakeFiles/iterators4.dir/build
.PHONY : iterators4/fast

#=============================================================================
# Target rules for targets named iterators5

# Build rule for target.
iterators5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators5
.PHONY : iterators5

# fast build rule for target.
iterators5/fast:
	$(MAKE) -f CMakeFiles/iterators5.dir/build.make CMakeFiles/iterators5.dir/build
.PHONY : iterators5/fast

#=============================================================================
# Target rules for targets named kmer1

# Build rule for target.
kmer1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer1
.PHONY : kmer1

# fast build rule for target.
kmer1/fast:
	$(MAKE) -f CMakeFiles/kmer1.dir/build.make CMakeFiles/kmer1.dir/build
.PHONY : kmer1/fast

#=============================================================================
# Target rules for targets named kmer2

# Build rule for target.
kmer2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer2
.PHONY : kmer2

# fast build rule for target.
kmer2/fast:
	$(MAKE) -f CMakeFiles/kmer2.dir/build.make CMakeFiles/kmer2.dir/build
.PHONY : kmer2/fast

#=============================================================================
# Target rules for targets named kmer3

# Build rule for target.
kmer3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer3
.PHONY : kmer3

# fast build rule for target.
kmer3/fast:
	$(MAKE) -f CMakeFiles/kmer3.dir/build.make CMakeFiles/kmer3.dir/build
.PHONY : kmer3/fast

#=============================================================================
# Target rules for targets named kmer4

# Build rule for target.
kmer4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer4
.PHONY : kmer4

# fast build rule for target.
kmer4/fast:
	$(MAKE) -f CMakeFiles/kmer4.dir/build.make CMakeFiles/kmer4.dir/build
.PHONY : kmer4/fast

#=============================================================================
# Target rules for targets named kmer5

# Build rule for target.
kmer5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer5
.PHONY : kmer5

# fast build rule for target.
kmer5/fast:
	$(MAKE) -f CMakeFiles/kmer5.dir/build.make CMakeFiles/kmer5.dir/build
.PHONY : kmer5/fast

#=============================================================================
# Target rules for targets named kmer6

# Build rule for target.
kmer6: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer6
.PHONY : kmer6

# fast build rule for target.
kmer6/fast:
