=== debian/changelog ===
mapsembler2 (2.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * d/watch:
     - version=4
     - fix URL
     - recompression with xz
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2017 14:24:48 +0200

mapsembler2 (2.2.3+dfsg-3) unstable; urgency=medium

  * Fix type of prefix_trashable since gcc-5 is picky about it (Thanks to
    Gianfranco Costamagna <costamagnagianfranco@yahoo.it> for the hint)
    Closes: #797526
  * cme fix dpkg-control
  * DEP5 syntax
  * hardening=+all

  [ Olivier Sallou ]
  * d/copyright: add Upstream-Contact

 -- Andreas Tille <tille@debian.org>  Fri, 09 Sep 2016 15:41:22 +0200
