=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://colibread.inria.fr/software/mapsembler2/  .*/mapsembler2_(2\.[.\d]+)\.zip
